begin

;  setfileoption("nc","Format","LargeFile")
  
  filename = "surfdata_0.9x1.25_allgrass_c120207"
  out_file = addfile(filename + ".nc","w")
  
  maskval = out_file->PFTDATA_MASK
  
  newgrass = out_file->PCT_PFT(1,:,:)
  newgrass = newgrass + out_file->PCT_PFT(2,:,:)
  newgrass = newgrass + out_file->PCT_PFT(3,:,:)
  newgrass = newgrass + out_file->PCT_PFT(4,:,:)
  newgrass = newgrass + out_file->PCT_PFT(5,:,:) 
  newgrass = newgrass + out_file->PCT_PFT(6,:,:) 
  newgrass = newgrass + out_file->PCT_PFT(7,:,:) 
  newgrass = newgrass + out_file->PCT_PFT(8,:,:) 
  newgrass = newgrass + out_file->PCT_PFT(9,:,:) 
  newgrass = newgrass + out_file->PCT_PFT(10,:,:) 
  newgrass = newgrass + out_file->PCT_PFT(11,:,:) 
  newgrass = newgrass + out_file->PCT_PFT(15,:,:)

  existgrass = out_file->PCT_PFT(12,:,:)
  existgrass = existgrass + out_file->PCT_PFT(13,:,:)
  existgrass = existgrass + out_file->PCT_PFT(14,:,:)

  do latindex = 0,191
     latcount = 191 - latindex
     print(latcount)
     do loncount = 0,287
        if ((maskval(latcount,loncount) .ne. 0) .and. (newgrass(latcount,loncount) .gt. 0.0)) then
           if (existgrass(latcount,loncount) .gt. 0.0) then
	      newgrasses = newgrass(latcount,loncount)
	      existgrasses = existgrass(latcount,loncount)
	      increasemultiple = 1.0 + newgrasses/existgrasses
              out_file->PCT_PFT(12,latcount,loncount) = out_file->PCT_PFT(12,latcount,loncount) * increasemultiple
              out_file->PCT_PFT(13,latcount,loncount) = out_file->PCT_PFT(13,latcount,loncount) * increasemultiple
              out_file->PCT_PFT(14,latcount,loncount) = out_file->PCT_PFT(14,latcount,loncount) * increasemultiple
	   else
              if ((latcount .ge. 0) .and. (latcount .le. 31)) then
	         out_file->PCT_PFT(12,latcount,loncount) = out_file->PCT_PFT(12,latcount,loncount) + newgrass(latcount,loncount)
	      end if
	      if ((latcount .ge. 32) .and. (latcount .le. 80)) then
	         out_file->PCT_PFT(13,latcount,loncount) = out_file->PCT_PFT(13,latcount,loncount) + newgrass(latcount,loncount)
	      end if
	      if ((latcount .ge. 81) .and. (latcount .le. 109)) then
	         out_file->PCT_PFT(14,latcount,loncount) = out_file->PCT_PFT(14,latcount,loncount) + newgrass(latcount,loncount)
	      end if
	      if ((latcount .ge. 110) .and. (latcount .le. 159)) then
	         out_file->PCT_PFT(13,latcount,loncount) = out_file->PCT_PFT(13,latcount,loncount) + newgrass(latcount,loncount)
	      end if
	      if ((latcount .ge. 160) .and. (latcount .le. 191)) then
	         out_file->PCT_PFT(12,latcount,loncount) = out_file->PCT_PFT(12,latcount,loncount) + newgrass(latcount,loncount)
   	      end if
	   end if
	end if
     end do
  end do
  out_file->PCT_PFT(1:11,:,:) = 0.0
  out_file->PCT_PFT(15,:,:) = 0.0

end
